News Announcements

 

Important: Problems logging in???

This week our website host, StarChapter, disabled SSL3 in response to the Secure Sockets Layer (SSL 3.0) vulnerability, known as POODLE, which was reported by Google.

If you are unable to log in to the GSHRM website, you may be using an older browser.  If you are using an older browser, such as Internet Explorer 9, you will need to disable SSL 3.0 and manually enable TLS 1.0/1.1/TLS 1.2 in order to log in to the GSHRM website.  

Internet Explorer 9 users can click here for instructions.

Instructions for other browser types (Google Chrome, Firefox, etc.) are here: https://zmap.io/sslv3/browsers.html.

Thank you for your cooperation.